#!/bin/bash

DIST="_build"
TMPCSS="$DIST/tmp.css"
DISTCSS="brut.min.css"

mkdir $DIST -p
[ -f $TMPCSS ] && rm -f $TMPCSS


subtypes=(general buttons grid components headings icons forms navbar tables messages colors )
YEAR="$(date +"%Y")"
echo -n "/* Copyright $YEAR Yann Esposito; MIT licensed */" >> $TMPCSS

for item in "${subtypes[@]}"; do
  echo "building: $item"
  lessc "src/$item.less" > "$DIST/$item.css"
  minify "$DIST/$item.css" -o "$DIST/$item.min.css"
  cat "$DIST/$item.min.css" >> $TMPCSS
done

[ -f $DISTCSS.bak ] && rm -f $DISTCSS.bak
[ -f $DISTCSS ] && mv $DISTCSS $DISTCSS.bak
mv $TMPCSS $DISTCSS
# cleanup
rm -f $DISTCSS.bak
rm -f $TMPCSS
echo "Built: $DISTCSS"
